
CoCoALib - Support #1592

Normaliz 3.8.10

06 May 2021 07:28 - Anna Maria Bigatti

Status: Closed Start date: 06 May 2021

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Various Estimated time: 1.11 hour

Target version: CoCoALib-0.99800 Spent time: 1.20 hour

Description

At the moment CoCoALib is (again) not compatible with Normaliz latest version 3.8.10 (pre-release?).

Make it compatible or stay with 3.8.9 until 3.8.10 is released officially?

Related issues:

Related to CoCoALib - Support #1591: Compilation of Normaliz Closed 30 Apr 2021

Related to CoCoALib - Support #1494: Normaliz 3.8.9 Closed 30 Sep 2020

History

#1 - 06 May 2021 07:29 - Anna Maria Bigatti

- Related to Support #1591: Compilation of Normaliz added

#2 - 06 May 2021 07:30 - Anna Maria Bigatti

- Related to Support #1494: Normaliz 3.8.9 added

#3 - 06 May 2021 16:11 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- Priority changed from Normal to High

- Target version set to CoCoALib-0.99800

- % Done changed from 0 to 90

Thanks to Winfried Bruns!

I left the old lines in, in case someone needs to compile with 3.8.9.

These are the changes:

in  BuiltInFunctions-Normaliz.C line 243

        // case libnormaliz::ConeProperty::TriangulationGenerators: // v 3.8.9

      case libnormaliz::ConeProperty::Triangulation: // v 3.8.10

in   ExternalLibs-Normaliz.C line 276

      //ConvertFromNormaliz(v, c->myConeMPZ.getTriangulationGenerators()); // v 3.8.9

      ConvertFromNormaliz(v, (c->myConeMPZ.getTriangulation()).second.get_elements()); // v 3.8.10      
#4 - 07 May 2021 17:08 - Anna Maria Bigatti

Now it works.

Repeat on Linux (anche make cocoa-5.3.3b for linux)

#5 - 28 Jan 2022 12:39 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 1.11 h

All seems to be fine even with Normaliz-3.9.1.

#6 - 28 Jan 2022 17:34 - John Abbott

Winfried pointed that I'd made a typo (now fixed).

A new version (normaliz-3.9.2) should be appearing in the near future.
